Loading...
Searching...
No Matches
svn_compat.h File Reference

Utilities to help applications provide backwards-compatibility. More...

`#include <apr_pools.h>`
`#include <apr_hash.h>`
`#include <apr_tables.h>`
`#include "svn_types.h"`
`#include "svn_string.h"`

Go to the source code of this file.

## Functions

void | svn_compat_wrap_commit_callback (svn_commit_callback2_t *callback2, void **callback2_baton, svn_commit_callback_t callback, void *callback_baton, apr_pool_t *pool)
| Return, in *callback2 and *callback2_baton a function/baton that will call callback/callback_baton, allocating the *callback2_baton in pool.
void | svn_compat_log_revprops_clear (apr_hash_t *revprops)
| Clear svn:author, svn:date, and svn:log from revprops if not NULL.
apr_array_header_t * | svn_compat_log_revprops_in (apr_pool_t *pool)
| Return a list to pass to post-1.5 log-retrieval functions in order to retrieve the pre-1.5 set of revprops: svn:author, svn:date, and svn:log.
void | svn_compat_log_revprops_out_string (const svn_string_t **author, const svn_string_t **date, const svn_string_t **message, apr_hash_t *revprops)
| Return, in **author, **date, and **message, the values of the svn:author, svn:date, and svn:log revprops from revprops.
void | svn_compat_log_revprops_out (const char **author, const char **date, const char **message, apr_hash_t *revprops)
| Simiar to svn_compat_log_revprops_out_string() but returns C-style strings instead of svn_string_t.
void | svn_compat_wrap_log_receiver (svn_log_entry_receiver_t *receiver2, void **receiver2_baton, svn_log_message_receiver_t receiver, void *receiver_baton, apr_pool_t *pool)
| Return, in *receiver2 and *receiver2_baton a function/baton that will call receiver/receiver_baton, allocating the *receiver2_baton in pool.

## Detailed Description

Utilities to help applications provide backwards-compatibility.

# autotoc_md27

Definition in file svn_compat.h.

## Function Documentation

## svn_compat_log_revprops_clear()

void svn_compat_log_revprops_clear | ( | apr_hash_t * | revprops | ) |

Clear svn:author, svn:date, and svn:log from revprops if not NULL.

Use this if you must handle these three properties separately for compatibility reasons.

Since
  New in 1.5.

## svn_compat_log_revprops_in()

apr_array_header_t * svn_compat_log_revprops_in | ( | apr_pool_t * | pool | ) |

Return a list to pass to post-1.5 log-retrieval functions in order to retrieve the pre-1.5 set of revprops: svn:author, svn:date, and svn:log.

Since
  New in 1.5.

## svn_compat_log_revprops_out()

void svn_compat_log_revprops_out | ( | const char ** | author,
|  | const char ** | date,
|  | const char ** | message,
|  | apr_hash_t * | revprops )

Simiar to svn_compat_log_revprops_out_string() but returns C-style strings instead of svn_string_t.

Since
  New in 1.5.

## svn_compat_log_revprops_out_string()

void svn_compat_log_revprops_out_string | ( | const svn_string_t ** | author,
|  | const svn_string_t ** | date,
|  | const svn_string_t ** | message,
|  | apr_hash_t * | revprops )

Return, in **author, **date, and **message, the values of the svn:author, svn:date, and svn:log revprops from revprops.

If revprops is NULL, all return values are NULL. Any return value may be NULL if the corresponding property is not set in revprops.

Since
  New in 1.9.

## svn_compat_wrap_commit_callback()

void svn_compat_wrap_commit_callback | ( | svn_commit_callback2_t * | callback2,
|  | void ** | callback2_baton,
|  | svn_commit_callback_t | callback,
|  | void * | callback_baton,
|  | apr_pool_t * | pool )

Return, in *callback2 and *callback2_baton a function/baton that will call callback/callback_baton, allocating the *callback2_baton in pool.

Note
  This is used by compatibility wrappers, which exist in more than Subversion core library.

Since
  New in 1.4.

## svn_compat_wrap_log_receiver()

void svn_compat_wrap_log_receiver | ( | svn_log_entry_receiver_t * | receiver2,
|  | void ** | receiver2_baton,
|  | svn_log_message_receiver_t | receiver,
|  | void * | receiver_baton,
|  | apr_pool_t * | pool )

Return, in *receiver2 and *receiver2_baton a function/baton that will call receiver/receiver_baton, allocating the *receiver2_baton in pool.

Note
  This is used by compatibility wrappers, which exist in more than Subversion core library.

Since
  New in 1.5.